% function X = load_pop(filename)
%
%	This function loads a population genome in matrix X. Each line of the
%	matrix is an individual. Each column is a bit in the genome.

function X = load_pop(filename)

fid = fopen(filename);

% get first line
head = str2num(fgetl(fid));

for i = 1:head(1)
	X(i,:) = str2num(fgetl(fid));
end

fclose(fid);

X = X(:,2:size(X,2));