%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
% FUNCTION plot_convergence(user)
%
%   Plot the convergence datas, that are stored in "convergence.mat" file
%
%   user=1 if present, i.e. if the function might ask the user some
%   paramters
%
%   see ANALYSE_CONVERGENCE
%
function plot_convergence(user)
if (nargin==0)
    user=1;
end

load convergence.mat;

figure;
[s1, s2]=size(dists3);
plot(dists3);
xlabel('Generation Number [-]')
ylabel('Bit String Standard Deviation [-]');
%axis([1 s2 0 1]);